diff -Nuar -x .svn coreboot-v2-org/src/southbridge/amd/sb600/sb600_reset.c coreboot-v2-svn/src/southbridge/amd/sb600/sb600_reset.c
--- coreboot-v2-org/src/southbridge/amd/sb600/sb600_reset.c	2008-12-01 19:37:20.000000000 +0800
+++ coreboot-v2-svn/src/southbridge/amd/sb600/sb600_reset.c	2008-12-22 10:07:09.000000000 +0800
@@ -26,6 +26,30 @@
 
 typedef u32 device_t;
 
+static void pci_write_config8(device_t dev, unsigned where, unsigned char value)
+{
+        unsigned addr;
+        addr = (dev>>4) | where;
+        outl(0x80000000 | (addr & ~3), 0xCF8);
+        outb(value, 0xCFC + (addr & 3));
+}
+
+static void pci_write_config32(device_t dev, unsigned where, unsigned value)
+{
+	unsigned addr;
+        addr = (dev>>4) | where;
+        outl(0x80000000 | (addr & ~3), 0xCF8);
+        outl(value, 0xCFC);
+}
+
+static unsigned pci_read_config32(device_t dev, unsigned where)
+{
+	unsigned addr;
+        addr = (dev>>4) | where;
+        outl(0x80000000 | (addr & ~3), 0xCF8);
+        return inl(0xCFC);
+}
+
 #include "../../../northbridge/amd/amdk8/reset_test.c"
 
 void hard_reset(void)
